GNU bug report logs - #38347
gnome-contacts

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Raghav Gururajan <raghavgururajan@HIDDEN>; Done: Ludovic Courtès <ludo@HIDDEN>; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 38347-done <at> debbugs.gnu.org:


Received: (at 38347-done) by debbugs.gnu.org; 8 Dec 2019 22:16:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 08 17:16:42 2019
Received: from localhost ([127.0.0.1]:52371 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ie4r4-0006rm-4K
	for submit <at> debbugs.gnu.org; Sun, 08 Dec 2019 17:16:42 -0500
Received: from eggs.gnu.org ([209.51.188.92]:47818)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1ie4r2-0006rU-MG
 for 38347-done <at> debbugs.gnu.org; Sun, 08 Dec 2019 17:16:41 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:50826)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1ie4qv-0005JE-Rs; Sun, 08 Dec 2019 17:16:33 -0500
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=32968 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1ie4qv-0000ag-Fj; Sun, 08 Dec 2019 17:16:33 -0500
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Raghav Gururajan <raghavgururajan@HIDDEN>
Subject: Re: [bug#38347] gnome-contacts v2
References: <225ae64271283846a65401032635ec60731f7277.camel@HIDDEN>
 <87lfs677fl.fsf@nckx>
 <e998c9e0b234b5e8d78498963fe94fa48ce0e556.camel@HIDDEN>
Date: Sun, 08 Dec 2019 23:16:24 +0100
In-Reply-To: <e998c9e0b234b5e8d78498963fe94fa48ce0e556.camel@HIDDEN>
 (Raghav Gururajan's message of "Sat, 23 Nov 2019 15:56:49 -0500")
Message-ID: <87r21empjb.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 38347-done
Cc: Tobias Geerinckx-Rice <me@HIDDEN>, 38347-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi,

Raghav Gururajan <raghavgururajan@HIDDEN> skribis:

> From 28cb5a45af5ff85365c5bcb4745f4e87d9d3d0bd Mon Sep 17 00:00:00 2001
> From: Raghav Gururajan <raghavgururajan@HIDDEN>
> Date: Sat, 23 Nov 2019 15:52:17 -0500
> Subject: [PATCH 4/4] gnu: Add gnome-contacts.
>
> * gnu/packages/gnome.scm (gnome-contacts): New Variable.

I merged the two patches, addressed the =E2=80=98guix lint=E2=80=99 warning=
s, and pushed
as 4e868d22e6fedb439910c50bb5c61ab712a479be with a followup commit.

I tried it under GNOME in a VM and it=E2=80=99s not entirely clear that it=
=E2=80=99s
working as expected: it seems to be expecting to import the address book
from an online service but doesn=E2=80=99t know of any?

Thank you,
Ludo=E2=80=99.




Notification sent to Raghav Gururajan <raghavgururajan@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Ludovic Courtès <ludo@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 38347 <at> debbugs.gnu.org:


Received: (at 38347) by debbugs.gnu.org; 8 Dec 2019 21:37:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 08 16:37:10 2019
Received: from localhost ([127.0.0.1]:52328 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ie4Eo-0004xd-CC
	for submit <at> debbugs.gnu.org; Sun, 08 Dec 2019 16:37:10 -0500
Received: from mout.web.de ([212.227.17.11]:36303)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jonathan.brielmaier@HIDDEN>) id 1ie4El-0004x7-69
 for 38347 <at> debbugs.gnu.org; Sun, 08 Dec 2019 16:37:08 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1575841015;
 bh=d59L5z9lVBkztalN8u8pCc5BLRSJdb39cPOHsCb9chE=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=nmygzziAv2E+eOPVrQVpyuHsxz9TSrQGz2brF340NhWD3h0ooMfQvIgfHKt39iohs
 4Y3Vqn7sQhRmbjsB+CO4s43VdAfdXN2kc7GDGqOGXLjYV6aMNcF0iTHNC71SYZ7/zC
 AgcpzBx/XimuP19lNOOc/+EziXOq90qDPEpCWlzw=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from [192.168.178.26] ([94.134.92.22]) by smtp.web.de (mrweb101
 [213.165.67.124]) with ESMTPSA (Nemesis) id 0MORiL-1ih6dH3IOL-005pLJ; Sun, 08
 Dec 2019 22:36:54 +0100
Subject: Re: [bug#38347] gnome-contacts v2
To: Raghav Gururajan <raghavgururajan@HIDDEN>,
 Tobias Geerinckx-Rice <me@HIDDEN>
References: <225ae64271283846a65401032635ec60731f7277.camel@HIDDEN>
 <87lfs677fl.fsf@nckx>
 <e998c9e0b234b5e8d78498963fe94fa48ce0e556.camel@HIDDEN>
From: Jonathan Brielmaier <jonathan.brielmaier@HIDDEN>
Message-ID: <d6363f2f-6296-6c1f-3077-9858e3089346@HIDDEN>
Date: Sun, 8 Dec 2019 22:36:49 +0100
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.2.2
MIME-Version: 1.0
In-Reply-To: <e998c9e0b234b5e8d78498963fe94fa48ce0e556.camel@HIDDEN>
Content-Type: multipart/mixed; boundary="------------BC03E870143CD017A66DF9B8"
Content-Language: en-US
X-Provags-ID: V03:K1:EsIZAmFvrofNZYczhQ+Uo5NdlnNmxD5a2CNTBTB1ppNwUDpyLmS
 65uA52U3+IWdoR6N7In6CKgHcB2CfO+ojYyW9RIqN0CcHOs8d4XGOAU+Cea+bTVZnhHvi2D
 8hvYg2axvVe7E98+s5UOOA9ZPRH2ZWdBGkvDiktJvcqJaOHEGYUh0MA43UlMrY05xXnC+zF
 ZEdh+EuY3ecLv+muGYYYA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:D1hzWGICLwc=:uBDmjHHVvV1gAUnPA9F5dF
 HxRObGaUra/SvrzrPZUPJiWzMw/zOBgXT6pJ+snzH/ob9OrbCWENJKpSypBbZhfb7X5pScjGb
 pMu5g1oILJM72mu12t0AtaLLCFhnVCL1xU4MLajgUejK1PfyBGCe8uzYdk2Jv7VHtIXHDk87c
 vwn/Q3c1bbSGu7wIqTcsmxjgPrzXxfn44BIj4KRiA2OFRja4ImpTn/RycbI2vvSyqWBMAFqPt
 HFqssCInhyuRcVt18B2/vEAJrAdY7B9Lza3hDWlMAiQxmq6A7JvcZt0j3QeOK5muJ10S3tVBu
 5o6HXSnAfk2lp37IDTtiZB+8QyUUP3CtoQxUnDIB37JLpA3pZp5x31+5pp3zCZRqETsMEw2VN
 NZeQ1wH1vNI6QIdbQdEFZm1wfyPTwQy19kAsg1JxxF95w5fJCvOu7l267vCQqJaaMp+MUY55D
 EaBKy1/h/ITRj8LFZgivyrHmBTy4dP6xN5lDUrg7mH10wxz6+IW2VHRvw8enXrxcV39Alkjmw
 KtpDQ6gI45o5uvhxDzPC/UaHr/VSw4Kd2UqnACGtO3DbrNfQj440npafDfj0VDY30qzYmSovO
 aD49TgLyx1aXt1ilV1retwo4Zzhh+YUbITKwtNsLT563FtnRAy9X4l14OOTV5dbp4r6IGkzgv
 rUGZHpgV5+a/HcNqmxxBHVyJYxORsQiUbYahg+hmSH8GW0bOaZZjx3tMgU+zORyP1fQbNqC3j
 KNKtT/I3Kdr1u1En1edB33n8bFPX8zproktvRt+32uEfWn8cAaczuFcwhwycwWxsrKbGiZm3W
 yjxHcn/nU/LCf51rGnygDa2aDOxaeZI3MqBkKyR0Wq+eXZ0t73zTUNU72V+oqSoXp49S3RSOH
 11Cod955Uo25xxr2XBM9vTzzl4kkKwSa+X36e+2/iOomkHBA0GrwfFrTaJHASKGNAttt3KPmz
 rAyp/X8tgyOySEjU11cnXq7N1e/T8E0/byFqq1X2kcpjPizIRF1M3dGv1S+dcQ+ITdyNQ0FLn
 Ji3xLzg8d3h/tyV/b+4WIF28ro+7krX0dF7fS1QIcAPDDNh9lre8WCa8lSzy5anyoDuBwsqz3
 GPFbqTkP7CMUjaMV5KoSqmB9NtTs1AkgjtqmDPeq2sTqBv71p9AAMAK1foCYAjn3MHOWXqGZS
 IkRL5B+hvsH0fBkUcYq3Qq9rYltm1YISQKnWqpGWThaOzA2pNTnsc+AizlIunlZjNoD25Z9u5
 MjkXMlyuz5l+AalVWZrYpVsfj2T5TB566dzXScNk3dbx62a3pLjcXQDiUi9g=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 38347
Cc: 38347 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

This is a multi-part message in MIME format.
--------------BC03E870143CD017A66DF9B8
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Hey,

I took your patch and applied it with some caveats to master. I updated
to 3.32.

gnome-contacts launches when installed, but it's not possible to add any
local contacts or remote ones. So there is still some work left.

~Jonathan

On 23.11.19 21:56, Raghav Gururajan wrote:
> Hello Guix!
>
> Please find the attached file containing revised patch for gnome-
> contacts.
>
> Thank you!
>
> Regards,
> RG.
>

--------------BC03E870143CD017A66DF9B8
Content-Type: text/x-patch; charset=UTF-8;
 name="0001-gnu-Add-gnome-contacts.patch"
Content-Transfer-Encoding: quoted-printable
Content-Disposition: attachment;
 filename="0001-gnu-Add-gnome-contacts.patch"

=46rom 0b63ccca6ba4f400c7dd1079ba2d28dc9f01026b Mon Sep 17 00:00:00 2001
From: Raghav Guruajan <raghavguruajan@HIDDEN
Date: Sun, 8 Dec 2019 22:32:13 +0100
Subject: [PATCH] gnu: Add gnome-contacts.

* gnu/packages/gnome.scm (gnome-contacts): New variable.

Co-authored-by: Jonathan Brielmaier <jonathan.brielmaier@HIDDEN>
=2D--
 gnu/packages/gnome.scm | 54 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 54 insertions(+)

diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
index 7bac1454f8..8b99fc0fb7 100644
=2D-- a/gnu/packages/gnome.scm
+++ b/gnu/packages/gnome.scm
@@ -42,6 +42,8 @@
 ;;; Copyright =C2=A9 2019 Maxim Cournoyer <maxim.cournoyer@HIDDEN>
 ;;; Copyright =C2=A9 2019 Martin Becze <mjbecze@HIDDEN>
 ;;; Copyright =C2=A9 2019 David Wilson <david@HIDDEN>
+;;; Copyright =C2=A9 2019 Raghav Guruajan <raghavguruajan@HIDDEN
+;;; Copyright =C2=A9 2019 Jonathan Brielmaier <jonathan.brielmaier@HIDDEN=
>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -8892,3 +8894,55 @@ tile-matching game Mahjong.  It features multiple b=
oard layouts, tile themes,
 and a high score table.")
     (home-page "https://wiki.gnome.org/Apps/Mahjongg")
     (license license:gpl2+)))
+
+(define-public gnome-contacts
+  (package
+    (name "gnome-contacts")
+    (version "3.32.1")
+    (source (origin
+              (method url-fetch)
+              (uri (string-append "mirror://gnome/sources/gnome-contacts/=
"
+                                  (version-major+minor version) "/"
+                                  name "-" version ".tar.xz"))
+              (sha256
+               (base32
+                "17g1gh8yj58cfpdx69h2szivlbjgvv982kmhnkkh0i5bwj0zs2yy")))=
)
+    (build-system meson-build-system)
+    (arguments
+     `(#:glib-or-gtk? #t
+       #:phases
+       (modify-phases %standard-phases
+         (add-after 'unpack 'generate-vapis ;; To generate goa's missing =
.vapi file
+           (lambda* (#:key inputs #:allow-other-keys)
+             (invoke "vapigen" "--directory=3Dvapi" "--pkg=3Dgio-2.0"
+                     "--library=3Dgoa-1.0"
+                     (string-append (assoc-ref inputs "gnome-online-accou=
nts:lib")
+                                    "/share/gir-1.0/Goa-1.0.gir"))
+             #t)))))
+    (native-inputs
+     `(("glib:bin" ,glib "bin")
+       ("gtk+:bin" ,gtk+ "bin")
+       ("pkg-config" ,pkg-config)))
+    (inputs
+     `(("cheese" ,cheese)
+       ("docbook-xml" ,docbook-xml)
+       ("dockbook-xsl" ,docbook-xsl)
+       ("evolution-data-server" ,evolution-data-server)
+       ("gettext" ,gettext-minimal)
+       ("gnome-desktop" ,gnome-desktop)
+       ("gnome-online-accounts:lib" ,gnome-online-accounts "lib")
+       ("gobject-introspection" ,gobject-introspection)
+       ("gst-plugins-base" ,gst-plugins-base)
+       ("gtk+" ,gtk+)
+       ("libgee" ,libgee)
+       ("libxslt" ,libxslt)
+       ("telepathy-glib" ,telepathy-glib)
+       ("vala" ,vala)))
+    (propagated-inputs
+     `(("folks", folks)
+       ("telepathy-mission-control" ,telepathy-mission-control)))
+    (synopsis "GNOME's integrated address book")
+    (description "Contacts organizes your contacts information from all y=
our online
+and offline sources, providing a centralized place for managing your cont=
acts.")
+    (home-page "https://wiki.gnome.org/Apps/Contacts")
+    (license license:gpl2+)))
=2D-
2.24.0


--------------BC03E870143CD017A66DF9B8--




Information forwarded to guix-patches@HIDDEN:
bug#38347; Package guix-patches. Full text available.

Message received at 38347 <at> debbugs.gnu.org:


Received: (at 38347) by debbugs.gnu.org; 23 Nov 2019 20:57:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 23 15:57:49 2019
Received: from localhost ([127.0.0.1]:57895 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iYcTP-00047K-Tb
	for submit <at> debbugs.gnu.org; Sat, 23 Nov 2019 15:57:46 -0500
Received: from knopi.disroot.org ([178.21.23.139]:47542)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raghavgururajan@HIDDEN>) id 1iYcTG-000471-1x
 for 38347 <at> debbugs.gnu.org; Sat, 23 Nov 2019 15:57:39 -0500
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 2C7942CF2A;
 Sat, 23 Nov 2019 21:57:32 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id S2EROncc4Evi; Sat, 23 Nov 2019 21:57:28 +0100 (CET)
Message-ID: <e998c9e0b234b5e8d78498963fe94fa48ce0e556.camel@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1574542647; bh=YC0f7lk1Uz/5RH1FFtSpnduLAHQSZ45QtbABRYIsDMk=;
 h=Subject:From:To:Cc:In-Reply-To:References:Date;
 b=U3GP6bhtDLj3FqhWVIGWvnCMcGbtehBXy9F4LwxmoBCk/dujsn2VrX5w9/V/7sErb
 kfclpyrssPoS9LLnGvyBWvRtQIdvCUnd/PWPSiqW4nLEJkFL5Ql+FwhqSMUHyGB2AC
 0XjVplqpm8/nsHujmGU1Z+vNpKrOMUl4/jKzS70aL+SXFc+p6h0YcgSqLWgRITWNB+
 7wqlYiMslBcMU1oVCU1SUnbtUq6IBqlbYhRL/4BL8alvz2+MLDbb5D/6rHLkId72uX
 y717dxvNfJa9swLE/HmN8YQHQM+ZUnvcBEDgMO5yreETNATrXIQHqmQcHcgiH9buSc
 q/wTLpfarYxSg==
Subject: Re: [bug#38347] gnome-contacts v2
From: Raghav Gururajan <raghavgururajan@HIDDEN>
To: Tobias Geerinckx-Rice <me@HIDDEN>
In-Reply-To: <87lfs677fl.fsf@nckx>
References: <225ae64271283846a65401032635ec60731f7277.camel@HIDDEN>
 <87lfs677fl.fsf@nckx>
X-Priority: 1
Content-Type: multipart/signed; micalg="pgp-sha256";
 protocol="application/pgp-signature"; boundary="=-se/2TzAbCBHqBbGQGH3P"
Date: Sat, 23 Nov 2019 15:56:49 -0500
Mime-Version: 1.0
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38347
Cc: 38347 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--=-se/2TzAbCBHqBbGQGH3P
Content-Type: multipart/mixed; boundary="=-gGX0COWN3K6n2zG8SD4S"


--=-gGX0COWN3K6n2zG8SD4S
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Hello Guix!

Please find the attached file containing revised patch for gnome-
contacts.

Thank you!

Regards,
RG.

--=-gGX0COWN3K6n2zG8SD4S
Content-Disposition: attachment; filename="0004-gnu-Add-gnome-contacts.patch"
Content-Transfer-Encoding: base64
Content-Type: text/x-patch; name="0004-gnu-Add-gnome-contacts.patch"; charset="UTF-8"
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--=-gGX0COWN3K6n2zG8SD4S--

--=-se/2TzAbCBHqBbGQGH3P
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part

-----BEGIN PGP SIGNATURE-----

iQEzBAABCAAdFiEEamFiplxUWgy2NgJiorDiYAVcMdsFAl3ZnREACgkQorDiYAVc
Mdu7cQf+OJ+2gU6cJoW/Ihxl8bZnHgJ3lK1nKm2yFqCp/tDG55n5hwnoZ328vgB+
/wo9Qf/0AtwZWaRsW3moPnIFhAW5J5ehC8BFaoBqudfa26+BjTUoAECVFDS4bCi3
U4WuxAanFjsiM2DQECSgho3uxcPjHxE7MtPpsVXR9fxv+a9ySAMjGOxmgFg5ECWV
h/wHDfm4GGqB5RmlZqJ1RDGhNGqkuhqRyfwrn16mKoPI3uNEDuOzd0iQEDl6fDnB
e9DQ7iJvc8zrqMk3nVQIhi8DIGKsPlDvsqfm4MVNGttAGYOFdLd/FltySqDSTJ1F
okxppCxwQ+fIMhOzdEj6YG1Oo99ixA==
=Yl/F
-----END PGP SIGNATURE-----

--=-se/2TzAbCBHqBbGQGH3P--





Information forwarded to guix-patches@HIDDEN:
bug#38347; Package guix-patches. Full text available.

Message received at 38347 <at> debbugs.gnu.org:


Received: (at 38347) by debbugs.gnu.org; 23 Nov 2019 18:51:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 23 13:51:31 2019
Received: from localhost ([127.0.0.1]:57802 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iYaV6-00016n-6X
	for submit <at> debbugs.gnu.org; Sat, 23 Nov 2019 13:51:27 -0500
Received: from tobias.gr ([80.241.217.52]:60148)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1iYaV0-00016Z-8Y
 for 38347 <at> debbugs.gnu.org; Sat, 23 Nov 2019 13:51:17 -0500
Received: by tobias.gr (OpenSMTPD) with ESMTP id cd91672f;
 Sat, 23 Nov 2019 18:51:11 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=tobias.gr; h=from:to:cc
 :subject:references:in-reply-to:date:message-id:mime-version
 :content-type; s=2018; i=me@HIDDEN; bh=th+aFGf4HrUXlTQGpgkSuT
 djPb5eWJTpeWImU7xwNxQ=; b=W8sXXhJ9mxo0WWUnbnowP5FfsTDWCDPIykLi37
 +QVsbkfJAG1kc9InsyHJwbsnucCMnYZaM7Gb51Q2HuVhYNY97UhrV6mD4zVrWBan
 3gVq3XxUghoYxGaIbJi8cfG7MJ3r2ogumEjR4GAiLaCL1D/+8XLWEMT1Vk7+i7IH
 B9qD/as7jO6R91zEYQoSKjPhn4sTffqfMayEGyZDuIJAXOqIh9OuyqIt3R62hi0V
 SwWUiKDkcgCBDCk4dt9rG8OXieI4geMXgvNqeP9AuM2V8hC8QfKUuL0uDGkm6h3d
 wMt1TYB5coJNfayEhGhk2s5S3kjiOnDCSC7r+r7YAg5aE8JA==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id ec18f65c
 (TLSv1.3:TLS_AES_256_GCM_SHA384:256:NO); 
 Sat, 23 Nov 2019 18:51:11 +0000 (UTC)
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: Raghav Gururajan <raghavgururajan@HIDDEN>
Subject: Re: [bug#38347] gnome-contacts
References: <225ae64271283846a65401032635ec60731f7277.camel@HIDDEN>
In-reply-to: <225ae64271283846a65401032635ec60731f7277.camel@HIDDEN>
Date: Sat, 23 Nov 2019 19:51:10 +0100
Message-ID: <87lfs677fl.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 38347
Cc: 38347 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Raghav,

Raghav Gururajan =E5=86=99=E9=81=93=EF=BC=9A
> Please find the attached file containing patch to add=20
> gnome-contacts.

Thank you!  Congratulations on your first patch, and may there be=20
many more.

I was going to fix the points below myself, but then they=20
multiplied and hey, I can always say it's a good lesson for you,=20
right?  Just send the result to this thread with =E2=80=98v2=E2=80=99 clear=
ly in=20
the subject line.

* Using =E2=80=98name=E2=80=99 in source URIs is harmless but also complete=
ly=20
  useless.  Just use:

    (uri (string-append "mirror://gnome/sources/gnome-contacts/"
                        (version-major+minor version) "/"
                        "gnome-contacts-" version ".tar.xz"))

* Could you explain *why* generate-vapis needs to be done=20
  manually?  For a mostly non-GNOMEhead like me, it's just black=20
  magic.

* Nitpick: the =E2=80=98`=E2=80=99 of `(#:phases should fall under the =E2=
=80=98(=E2=80=99 of=20
  (arguments:

    (arguments
     `(#:phases

  You can use C-M-q in emacs or run etc/indent-code.el manually to=20
  indent the code for you.

* You need to move inputs that appear in =E2=80=98guix gc --references=20
  /gnu/store/=E2=80=A6gnome-contacts=E2=80=A6=E2=80=99 from (native-inputs)=
 to (inputs).

* Fix =E2=80=98dockbook-xsl=E2=80=99 typo.

* Since you're rewriting most *inputs anyway, please order them=20
  alphabetically.

* Synopses don't need to include the name of the programme or a=20
  leading article (=E2=80=98a=E2=80=99):

    (synopsis "GNOME's integrated address book")

* The description is far too short, and just not very relevant to=20
  me.

  I took a look at the README; what about:

    (description
     "Contacts is GNOME's integrated address book.  It organizes=20
     contact=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20
information from all your online and offline sources, and provides=20
a central=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20
place to:=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20
@enumerate=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20
@item search for and view contacts,=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20
@item edit contact details and make new contacts,=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20
@item integrate with online address books,=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20
@item automatically link contacts from different online sources.=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20
@end enumerate\n")

* Add =E2=80=98license:=E2=80=99 prefix to gpl2 (without it, Guix won't eve=
n=20
  work).

* A randomly chosen source file=20
  (https://gitlab.gnome.org/GNOME/gnome-contacts/blob/master/src/cc-crop-ar=
ea.c)=20
  says =E2=80=98or any later version=E2=80=99.  This makes the licence gpl2=
+, not=20
  gpl2 (-only), unless there are files that lack this wording.=20
  Could you check?

                                 * * *

I'm happy to hear that you have more patches planned.  Please=20
check them for similar points and send them to guix-patches at=20
gnu.org.

Thanks again!

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEEfo+u0AlEeO9y5k0W2Imw8BjFSTwFAl3Zf54ACgkQ2Imw8BjF
STxlvw/8Dc6oz8Bxg7pcCcB2amlsI6cko4EG3NamXvJb7ovtIoAJY8E+as+/XMNx
LaLdKddsCsaefe8MVypw1ykGoucaHcNewkW6TY6OVM6AhcfD0RPRas2fZH9XmgSO
RPKEanyaZRUJ0HKr8TqhfGlyjdA8MmkXtVjV8enlsj7zMfJHm6K8muLaSsoTpvn+
RsizH1TwewR8PayNtJ84zDJNJ7a/LXUGYNi2jmvk4jbkKi9sRYk42/t68UmF6aoQ
5/eWHbGhEv0PUx+ycdrX/8bm1M7p5RyU9hlX1CzMBFI26SlmWX6/DzBPSeWcb64v
h2yWiFmDdETkFRvXPJFb/4KntNqM4SMEgU078LJBCz/kCbO3dAEJsUYyO3iflZEa
zIdVdSnXDIVmHAQDzU4ZKP4w4bCwa/ockP0U0yo1cJDgPc03iLJm5zuNVjPkummv
HG/Qbb7ZneWJayuH9TLs1oysgJG5P2VdgL03pvCgMBxSsXhVKaCFa9vhhQ6CsjuM
G5lBuWgHuU2vN3MX2LL5bnYdFpoxc+t5tD8YJQMhYfp6n9V2R0pTYa8stk2WXRRY
iphs4wiULEUZgGv1cOgPKdPj3EiyrPjhH0TWXyJ9mK/0K0WeH/9Azygv3YoM9pRf
yBKjXTlYr3kZI1bihpikkqY7Gwl3RmNUVLCDiu3Gpw1qx3G8kD4=
=WaFM
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#38347; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 23 Nov 2019 16:33:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 23 11:33:05 2019
Received: from localhost ([127.0.0.1]:57655 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iYYLG-0006Cl-T2
	for submit <at> debbugs.gnu.org; Sat, 23 Nov 2019 11:33:03 -0500
Received: from lists.gnu.org ([209.51.188.17]:48645)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raghavgururajan@HIDDEN>) id 1iYYL9-0006CG-Cj
 for submit <at> debbugs.gnu.org; Sat, 23 Nov 2019 11:32:56 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:60028)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <raghavgururajan@HIDDEN>) id 1iYYL7-0004v1-P2
 for guix-patches@HIDDEN; Sat, 23 Nov 2019 11:32:55 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.0 required=5.0 tests=BAYES_20,RCVD_IN_DNSWL_NONE,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <raghavgururajan@HIDDEN>) id 1iYYL6-0005e3-7b
 for guix-patches@HIDDEN; Sat, 23 Nov 2019 11:32:53 -0500
Received: from knopi.disroot.org ([178.21.23.139]:41828)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <raghavgururajan@HIDDEN>)
 id 1iYYL5-0005dP-Ky
 for guix-patches@HIDDEN; Sat, 23 Nov 2019 11:32:52 -0500
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id CF5012B225
 for <guix-patches@HIDDEN>; Sat, 23 Nov 2019 17:32:48 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id HHWETCCtNp_k for <guix-patches@HIDDEN>;
 Sat, 23 Nov 2019 17:32:44 +0100 (CET)
Message-ID: <225ae64271283846a65401032635ec60731f7277.camel@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1574526764; bh=e36NFNgZZAP7udoyd3F+PZywXBRHw916bHlWBWKw/N0=;
 h=Subject:From:To:Date;
 b=VIgVevUnU88lArNZ6gAQtb6fGsebywd+LxEKP9Bq45UPLBpf8QKG2nabRNkPjW6QX
 3A97crpxP/HbGhYANqrXGNpamirLaSeC9/fFGowNpykQ1JGHZAWK8avClH7KTD/tOG
 86VuYcBj21lX98MDBhzzAcVmVnV7yudAlS1+nu88I24IdgjuqR9CIyIt6mN3jEavWv
 /+HfCmJrqvL2XFx4CVzC9Funey3fKVJHKhjbaBsX2NnyzjehUgoEMrSv38VpnDk1wO
 6uIU+SY0FfXeugW0QqMoY02w+5lEAlxlEbNkuV7ozljGjX0iR3+w8sZ5V/HHJ43vZb
 ju2IOLLb90tMw==
Subject: gnome-contacts
From: Raghav Gururajan <raghavgururajan@HIDDEN>
To: guix-patches@HIDDEN
X-Priority: 1
Content-Type: multipart/signed; micalg="pgp-sha256";
 protocol="application/pgp-signature"; boundary="=-maU+fIUpAnArgHT2lAvO"
Date: Sat, 23 Nov 2019 11:32:31 -0500
Mime-Version: 1.0
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-Received-From: 178.21.23.139
X-Spam-Score: -0.4 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)


--=-maU+fIUpAnArgHT2lAvO
Content-Type: multipart/mixed; boundary="=-oq6KV2mV9pCdEYfQNeno"


--=-oq6KV2mV9pCdEYfQNeno
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Hello Guix!

Please find the attached file containing patch to add gnome-contacts.

Thank you!

Regards,
RG.

--=-oq6KV2mV9pCdEYfQNeno
Content-Disposition: attachment; filename="0001-Add-gnome-contacts.patch"
Content-Transfer-Encoding: base64
Content-Type: text/x-patch; name="0001-Add-gnome-contacts.patch"; charset="UTF-8"
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--=-oq6KV2mV9pCdEYfQNeno--

--=-maU+fIUpAnArgHT2lAvO
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part

-----BEGIN PGP SIGNATURE-----

iQEzBAABCAAdFiEEamFiplxUWgy2NgJiorDiYAVcMdsFAl3ZXx4ACgkQorDiYAVc
MdsvOQf/UhCzwBbGp1mGF3B+eIs8Z7aG3W3jBB1/i9faUZpQZyrudfEwF5utq7r7
Md0ztpjZwUjwoEv3FAJXx6Z6gQDwf2LmmCJzEw5GGy/9uXjl9fiqpjSUIv6et0O5
Dpbor6tMU6cFlScUhNqIj5uxASSJdVbO5TK6dKi5JOh/z1J1/JlZCl3aQipkyEyZ
NkBJOBPU24Faq+hd+VF60R/1dTCIIlQTKRMKSvMClgfcBlDuS+uwCS3p4zivnHzt
f2DtlxZmryoDoWcTxGxLHarlQxOV95GoKFBydSDOPDLJNGFH5L7Widtn5gId9+gx
8ArVkWwUT0VBKe5g8eAYwlksv/Sn6g==
=fdZl
-----END PGP SIGNATURE-----

--=-maU+fIUpAnArgHT2lAvO--





Acknowledgement sent to Raghav Gururajan <raghavgururajan@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#38347; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 8 Dec 2019 22:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.